Bug 1312257 - (CVE-2016-2569, CVE-2016-2570) CVE-2016-2569 CVE-2016-2570 squid: some code paths fail to check bounds in string object
CVE-2016-2569 CVE-2016-2570 squid: some code paths fail to check bounds in st...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160224,repor...
: Security
: 1311584 (view as bug list)
Depends On: 1312267 1322770
Blocks: 1311588 1312266
  Show dependency treegraph
 
Reported: 2016-02-26 04:10 EST by Andrej Nemec
Modified: 2017-09-08 07:53 EDT (History)
9 users (show)

See Also:
Fixed In Version: squid 4.0.7, squid 3.5.15
Doc Type: Bug Fix
Doc Text:
Incorrect boundary checks were found in the way squid handled headers in HTTP responses, which could lead to an assertion failure. A malicious HTTP server could use this flaw to crash squid using a specially crafted HTTP response.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-04 05:01:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2600 normal SHIPPED_LIVE Moderate: squid security, bug fix, and enhancement update 2016-11-03 08:12:25 EDT

  None (edit)
Description Andrej Nemec 2016-02-26 04:10:09 EST
The proxy contains a String object class with 64KB content limits.
Some code paths do not bounds check before appending to these String
and overflow leads to an assertion which terminates all client
transactions using the proxy, including those unrelated to the limit
being exceeded.

Upstream patches:

http://www.squid-cache.org/Versions/v3/3.5/changesets/squid-3.5-13991.patch
http://www.squid-cache.org/Versions/v4/changesets/squid-4-14552.patch

External references:

http://www.squid-cache.org/Advisories/SQUID-2016_2.txt

CVE assignment:

http://seclists.org/oss-sec/2016/q1/442
Comment 1 Andrej Nemec 2016-02-26 04:15:35 EST
Added CVE 2016-2570, as it relates to other patches for the same issue.

Upstream comment about this:

This patch fixes the other related variant of the basic problem.
Though this instance is not triggerable from outside a controlled CDN
environment

Upstream patches for this CVE:

http://www.squid-cache.org/Versions/v3/3.5/changesets/squid-3.5-13993.patch
http://www.squid-cache.org/Versions/v4/changesets/squid-4-14549.patch
Comment 2 Adam Mariš 2016-03-02 10:09:38 EST
*** Bug 1311584 has been marked as a duplicate of this bug. ***
Comment 11 errata-xmlrpc 2016-11-03 17:16:52 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2600 https://rhn.redhat.com/errata/RHSA-2016-2600.html
Comment 13 Andrej Nemec 2017-09-08 07:53:49 EDT
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. 

For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.